import React from 'react';
import { ArrowLeftIcon } from '@radix-ui/react-icons';

function RouterBackButton({ onClick }) {
  return (
    <button
      className='mb-3 w-10 h-10 text-sm rounded border md:border-0 md:hover:border border-gray-400'
      onClick={onClick}>
      <center>
        <ArrowLeftIcon className='text-gray-600 w-5 h-5' />
      </center>
    </button>
  );
}

export default RouterBackButton;
