import React from "react";
import ReactDOM from "react-dom/client";

import HRoutes from "./router";
import { StyleProvider } from "@ant-design/cssinjs";

// 由于 antd 组件的默认文案是英文，所以需要修改为中文
import dayjs from "dayjs";
import "dayjs/locale/zh-cn";
import "antd/dist/reset.css";
import "./index.css";

import "./i18n/i18n";

dayjs.locale("zh-cn");

ReactDOM.createRoot(document.getElementById("root")).render(
  <React.StrictMode>
    <StyleProvider hashPriority="high">
      <HRoutes />
    </StyleProvider>
  </React.StrictMode>
);
